### Method

# Clutter Script get_type_from_name

#### Declaration [src]

    GType
    clutter_script_get_type_from_name (
      ClutterScript* script,
      const gchar* type_name
    )

#### Description [src]

Looks up a type by name, using the virtual function that `ClutterScript` has for that purpose. This function should rarely be used.

#### Parameters

`type_name`

  Type: `const gchar*`

  Name of the type to look up.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GType`

The type for the requested type name, or `G_TYPE_INVALID` if not corresponding type was found.